MKE2FS(8)

NAZWA
mke2fs - tworzy linuksowy system plików ext2/3

SKŁADNIA
mke2fs [ -c | -l nazwa-pliku ] [ -b rozmiar-bloku ] [ -f rozmiar-fragmentu ] [ -i bajty-na-i-węzeł ] [ -j ] [ -J opcje-dziennika ] [ -N liczba-i-węzłów ] [ -n ] [ -m procent-zarezerwowanych-bloków ] [ -o tworzący-os ] [ -O właściwość[,...] ] [ -q ] [ -r rewizja-fs ] [ -R opcje-raid ] [ -v ] [ -F ] [ -L etykieta-woluminu ] [ -M katalog-ostatniego-montowania ] [ -S ] [ -T typ-systemu-plików ] [ -V ] urządzenie [ liczba-bloków ]

mke2fs -O journal_dev [ -b rozmiar-bloku ] [ -L etykieta-woluminu ] [ -n ] [ -q ] [ -v ] zewnętrzny-dziennik [ liczba-bloków ]

OPIS
Uwaga! To tłumaczenie może być nieaktualne!

mke2fs jest używany do tworzenia linuksowego systemu plików ext2/3. Jest on tworzony na urządzeniu (zwykle partycji dysku twardego). urządzenie jest specjalnym plikiem, odpowiadającym urządzeniu, np. /dev/hdXX. liczba-bloków jest liczbą bloków na urządzeniu. Jeśli jest pominięte, mke2fs wykrywa ją automagicznie. Gdy program jest wywołany jako mkfs.ext3 tworzony jest dziennik, tak jak gdyby była podana opcja -j.

OPCJE

-b  rozmiar-bloku
    Określa rozmiar bloku w bajtach. Poprawnymi wartościami są 1024, 2048 oraz 4096 bajtów na blok. Gdy wartość ta zostanie pominięta, rozmiar-bloku mke2fs jest ustalany na podstawie rozmiaru systemu plików oraz oczekiwanej jego eksploatacji (zobacz opcję -T).

-c  Powoduje, że przed utworzeniem systemu plików, urządzenie zostanie sprawdzone w poszukiwaniu uszkodzonych bloków. Gdy opcja ta zostanie podana dwa razy, wykonany będzie wolniejszy, destruktywny test w trybie odczyt-zapis, zamiast szybkiego testu w trybie tylko-do-odczytu.

-f  rozmiar-fragmentu
    Określa rozmiar fragmentów w bajtach.

-F  Zmuś mke2fs do pracy, nawet gdy podane urządzenie wydaje się nie być specjalnym urządzeniem blokowym, lub wydaje się być zamontowane.

-i  bajty-na-i-węzeł
    Określa współczynnik bajty/i-węzeł. mke2fs tworzy i-węzeł co każde bajty-na-i-węzeł bajtów dysku. Im większy współczynnik bajty-na-i-węzeł, tym więcej i-węzłów. Generalnie, wartość ta nie powinna być mniejsza od rozmiaru bloku w systemie plików, gdyż wtedy byłoby utworzonych zbyt dużo i-węzłów. Ostrzegamy jednak, że wartość ta nie może być już zmieniona po utworzeniu systemu plików, więc ostrożnie dobierz wartość tego parametru.

-j  Powoduje utworzenie system plików z księgowaniem ext3. Gdy nie podano opcji -J, przy tworzeniu dziennika zostaną użyte domyślne parametry oraz dobrany będzie właściwy rozmiar tego dziennika (na podstawie wielkości systemu plików) przechowywanego we wnętrzu systemu plików. Zauważ, że musisz korzystać z jądra posiadającego wsparcie dla ext3, aby móc używać dziennika.

-J opcje-dziennika
    Tworzy dziennik ext3 używając opcji podanych z linii poleceń. Opcje te są oddzielone przecinkami i mogą posiadać argument, podawany po znaku równości ('='). Obsługiwane są następujące opcje:

    size=rozmiar-dziennika
        Tworzy wewnętrzny dziennik (np. przechowywany wewnątrz systemu plików) o rozmiarze rozmiar-dziennika megabajtów. Rozmiar dziennika musi wynosić co najmniej 1024 bloki systemu plików (np. 1MB przy korzystaniu z bloków 1k, 4MB przy blokach 4k, itd.) i co najwyżej 102.400 bloków systemu plików.

    device=zewnętrzny-dziennik
        Przyłącza dziennik system plików do urządzenia blokowego znajdującego się na zewnętrzny-dziennik. Zewnętrzny dziennik musi być utworzony za pomocą polecenia

        mke2fs -O journal_dev zewnętrzny-dziennik

        Zauważ, że zewnętrzny-dziennik musi być utworzony z takim samym rozmiarem bloku jak nowy system plików.

        Zamiast bezpośredniego podawania nazwy urządzenia, zewnętrzny-dziennik można podać w postaci LABEL=etykieta lub UUID=UUID. Wtedy zewnętrzny dziennik zostanie znaleziony poprzez etykietę woluminu lub UUID przechowywany w superbloku ext2 na początku dziennika. Do wyświetlenia nazwy woluminu oraz UUID urządzenia dziennika użyj dumpe2fs(8). Zobacz także opcję -L tune2fs(8).

    Dla danego systemu plików można podać tylko jedną z opcji: size lub device.

-l  nazwa-pliku
    Powoduje odczytanie listy uszkodzonych bloków z nazwa-pliku. Zauważ, że numery bloków na liście zepsutych bloków muszą być wygenerowane przy użyciu takiego samego rozmiaru bloków jaki użyty był w mke2fs. W rezultacie opcja -c dla mke2fs jest prostszą i mniej podatną na błędy metodą sprawdzenia dysku pod kątem zepsutych bloków przed formatowaniem go, gdyż mke2fs automatycznie podaje odpowiednie parametry do programu badblocks.

-L  Ustawia nazwę woluminu dla systemu plików.

-m  procent-zarezerowanych-bloków
    Określa procentową liczbę bloków zarezerwowanych dla superużytkownika. Wartość domyślna to 5%.

-M  Ustawia katalog ostatniego montowania systemu plików. Opcja ta może być użyteczna ze względu na aplikacje, dla których katalog ostatniego montowania wskazuje, gdzie należy zamontować dany system plików.

-n  powoduje, że mke2fs nie utworzy systemu plików, ale wyświetli, co by zrobił gdyby miał utworzyć system plików. Może być to użyteczne do ustalenia miejsca kopii zapasowej superbloków dla danego systemu plików, po warunkiem, że używane są parametry przekazane mke2fs podczas tworzenia systemu plików. (Z dodaną opcją -n, oczywiście!)

-N liczba-i-węzłów
    zmienia domyślnie wyliczoną liczbę i-węzłów, które powinny być zarezerwowane dla systemu plików (a która bazuje na liczbie bloków i współczynniku bajty-na-i-węzeł). To pozwala użytkownikowi podać bezpośrednio liczbę żądanych i-węzłów.

-o tworzący-os
    Służy do ręcznej zmiany domyślnej wartości pola "creator os" (tworzący system operacyjny) systemu plików. Normalnie pole to jest ustawiane na natywny OS pod którym działa mke2fs.

-O właściwość[,...]
    Tworzy system plików z podanymi właściwościami (opcjami systemu plików). Obecnie właściwości sparse_super i filetype włączone są domyślnie, gdy mke2fs uruchamiany jest na systemie z Linuksem 2.2 lub późniejszym (chyba, że tworzący-os jest ustawiony na Hurd). Systemy plików, które mają być montowane na Linuksie starszym niż 2.2 lub innym jądrze powinny być tworzone z -O none (lub -r 0 dla Linuksa 1.2). Wtedy właściwości te będą wyłączone, nawet gdy mke2fs jest uruchomiony na systemie, które je wspiera.

    Obsługiwane są następujące opcje:

    sparse_super
        Tworzy system plików z mniejszą liczbą kopii zapasowych superbloku (oszczędza miejsce na dużych systemach plików).

    filetype
        Przechowuje informacje o typach plików we wpisach katalogów.

    has_journal
        Tworzy dziennik ext3 (tak jak przy użyciu opcji -j).

    journal_dev
        Tworzy zewnętrzny dziennik ext3 na podanym urządzeniu zamiast w systemie plików ext2. Zauważ, że zewnętrzny-dziennik musi być utworzony z takim samym rozmiarem bloku jak system plików, który będzie go używał.

-q  Ciche wywołanie. Przydatne gdy mke2fs jest uruchamiany ze skryptu.

-r rewizja
    Ustawia rewizję (wersję) systemu plików dla nowego systemu plików. Zauważ, że jądra 1.2 wspierają jedynie systemy plików o rewizji 0. Domyślnie tworzone są systemy plików o rewizji 1.

-R opcje-raid
    Ustawia opcje związane z raid dla systemu plików. Opcje raid są oddzielone przecinkami i mogą przyjmować argument po znaku równości ('='). Obsługiwane są następujące opcje:

    stride=strip-size
        Konfiguruje system plików do pracy z tablicą RAID z stripe-size blokami systemu plików na każdy pasek tablicy.

-S  Zapisuje jedynie superblok i deskryptory grupy. Przydaje się, gdy uszkodzony zostanie cały superblok i kopie zapasowe superbloków. Jest to ostateczna metoda odzyskania. Powoduje ona, że mke2fs ponownie inicjuje superblok i deskryptory grup, lecz nie dotyka tablicy i-węzłów, bloku, ani map bitowych i-węzłów. Natychmiast po użyciu tej opcji należy uruchomić program e2fsck, a i tak nie jest pewne, czy że uda się odzyskać jakiekolwiek dane. Podczas korzystania z tej opcji najważniejsze jest ustawienie dobrego rozmiaru bloku systemu plików. Bez tego nie ma żadnej szansy na odzyskanie danych.

-T typ-fs
    Określa, w jaki sposób dany system plików będzie wykorzystywany. Dzięki temu mke2fs może wybrać optymalne parametry dla systemu plików. Wspierane są następujące typy:

    news
        jeden i-węzeł na 4kb blok

    largefile
        jeden i-węzeł na megabajt

    largefile4
        jeden i-węzeł na 4 megabajty

-v  Wypisuje bardziej szczegółowe informacje.

-V  Wypisuje numer wersji mke2fs i wyjdź.

AUTOR
Ta wersja mke2fs została napisana przez Theodora Ts'o <tytso@mit.edu>.

BŁĘDY
mke2fs przyjmuje opcję -f, lecz obecnie ją ignoruje, gdyż ten system plików jeszcze nie obsługuje fragmentów.
Mogą być też inne. Proszę, zgłaszaj je autorowi.

DOSTĘPNOŚĆ
mke2fs jest częścią e2fsprogs i jest dostępne z http://e2fsprogs.sourceforge.net.

ZOBACZ TAKŻE
badblocks(8), dumpe2fs(8), e2fsck(8), tune2fs(8)

INFORMACJE O TŁUMACZENIU
Powyższe tłumaczenie pochodzi z nieistniejącego już Projektu Tłumaczenia Manuali i może nie być aktualne. W razie zauważenia różnic między powyższym opisem a rzeczywistym zachowaniem opisywanego programu lub funkcji, prosimy o zapoznanie się z oryginalną (angielską) wersją strony podręcznika za pomocą polecenia:

    man --locale=C 8 mke2fs

Prosimy o pomoc w aktualizacji stron man - więcej informacji można znaleźć pod adresem http://sourceforge.net/projects/manpages-pl/.